{
	"format_version": "1.10.0",
	"minecraft:attachable": {
		"description": {
			"identifier": "hog:netherite_spear",
			"materials": {
				"default": "entity_alphatest",
				"enchanted": "entity_alphatest_glint"
			},
			"textures": {
				"default": "textures/entities/netherite_spear",
				"enchanted": "textures/misc/enchanted_item_glint"
			},
			"geometry": { 
				"default": "geometry.spear"
			},
			"render_controllers": [
				"controller.render.armor"
			],
			"animations": {
				"wield": "controller.animation.spear.wield",
				"wield_first_person": "animation.spear.wield_first_person",
				"wield_first_person_raise": "animation.spear.wield_first_person_raise",
				"wield_third_person": "animation.spear.wield_third_person",
				"wield_third_person_raise": "animation.spear.wield_third_person_raise"
			},
			"scripts": {
				"pre_animation": [
					"variable.charge_amount = math.clamp((query.main_hand_item_max_duration - (query.main_hand_item_use_duration - query.frame_alpha + 1.0)) / 10.0, 0.0, 1.0f);"
				],
				"animate": [
					"wield"
				]
			}
		}
	}
}